RDKit: RDMIF::MMFFVdWaals Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDMIF::MMFFVdWaals Class Reference

`#include <MIFDescriptors.h>`

Inheritance diagram for RDMIF::MMFFVdWaals:

## Public Member Functions
| MMFFVdWaals (const RDKit::ROMol &mol, int confId=-1, unsigned int probeAtomType=6, bool scaling=false, double cutoff=1.0)
| constructs VdWaals object which uses MMFF94 from a molecule object
| MMFFVdWaals (const MMFFVdWaals &other)=delete
MMFFVdWaals & | operator= (const MMFFVdWaals &other)=delete
| MMFFVdWaals (MMFFVdWaals &&other)=default
MMFFVdWaals & | operator= (MMFFVdWaals &&other)=default
| ~MMFFVdWaals () override=default
Public Member Functions inherited from RDMIF::VdWaals
| VdWaals ()=default
| VdWaals (const RDKit::ROMol &mol, int confId=-1, double cutoff=1.0)
| VdWaals (const VdWaals &other)=delete
VdWaals & | operator= (const VdWaals &other)=delete
| VdWaals (VdWaals &&other)=default
VdWaals & | operator= (VdWaals &&other)=default
virtual | ~VdWaals ()=default
double | operator() (double x, double y, double z, double thres) const
| returns the VdW interaction at point `pt` in the molecules field in [kJ mol^-1]

## Additional Inherited Members
Protected Member Functions inherited from RDMIF::VdWaals
void | fillVectors ()
Protected Attributes inherited from RDMIF::VdWaals
double | d_cutoff = 1.0
unsigned int | d_nAtoms = 0
std::vector< double > | d_pos
std::vector< double > | d_R_star_ij
std::vector< double > | d_wellDepth
std::unique_ptr< RDKit::ROMol > | d_mol

## Detailed Description

Definition at line 329 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## ◆ MMFFVdWaals() [1/3]

RDMIF::MMFFVdWaals::MMFFVdWaals | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | unsigned int | probeAtomType = 6,
|  | bool | scaling = false,
|  | double | cutoff = 1.0 )

constructs VdWaals object which uses MMFF94 from a molecule object

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default: -1)
  probeAtomType | MMFF94 atom type for the probe atom (default: 6, sp3 oxygen)
  cutoff | minimum cutoff distance [A] (default: 1.0)
  scaling | scaling of VdW parameters to take hydrogen bonds into account (default: false)

Referenced by MMFFVdWaals(), MMFFVdWaals(), operator=(), and operator=().

## ◆ MMFFVdWaals() [2/3]

RDMIF::MMFFVdWaals::MMFFVdWaals | ( | const MMFFVdWaals & | other | ) |
| delete

References MMFFVdWaals().

## ◆ MMFFVdWaals() [3/3]

RDMIF::MMFFVdWaals::MMFFVdWaals | ( | MMFFVdWaals && | other | ) |
| default

References MMFFVdWaals().

## ◆ ~MMFFVdWaals()

RDMIF::MMFFVdWaals::~MMFFVdWaals | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ operator=() [1/2]

MMFFVdWaals & RDMIF::MMFFVdWaals::operator= | ( | const MMFFVdWaals & | other | ) |
| delete

References MMFFVdWaals().

## ◆ operator=() [2/2]

MMFFVdWaals & RDMIF::MMFFVdWaals::operator= | ( | MMFFVdWaals && | other | ) |
| default

References MMFFVdWaals().

The documentation for this class was generated from the following file:

- MIFDescriptors.h